Subject: TargetAlias/InitiatorAlias text commands

From: "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
Date: Tue, 24 Jul 2001 13:38:35 -0700

As outlined in David Black's consensus statement on the SendTargets command
(http://www.pdl.cmu.edu/mailinglists/ips/mail/msg05119.html), the target
records returned in response to a SendTargets request will not include
TargetAlias, in response to the expressed desire to limit the SendTargets
functionality to the basic description of the target iSCSI device.

There are references to "aliases" sprinkled throughout the iSCSI protocol
document, but this construct doesn't add any value to the iSCSI protocol
model or functionality.

Since the TargetAlias and InitiatorAlias text commands do not contribute any
functionality to the iSCSI protocol, are not used in any iSCSI-related logic
within an implementation, and are basicly a "label" more appropriately
administered by a management tool, I propose they be removed from the iSCSI
protocol spec.

Comments?

Marjorie Krueger
Networked Storage Architecture
Networked Storage Solutions Org.
Hewlett-Packard
tel: +1 916 785 2656
fax: +1 916 785 0391
email: [email-masked]

---

From: "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
Date: Tue, 24 Jul 2001 18:03:09 -0400

You are describing something that is exposed to the user via a management
interface to your implementation.  There is no value of these constructs *to
the iSCSI protocol operation*.  I don't deny the value to a user, but a
management interface provides the iSCSI contact point to a user, and can
provide the association of iSCSI names to an "alias string" within an
implementation environment.  There is nothing similar contained in any
transport protocol specification that I'm aware of, and I don't think that's
"a mistake", but a design of specifying only what's necessary to protocol
operation.  

Alias names are appropriate to the MIB, or some other management definition,
not the iSCSI protocol.

Marj

> -----Original Message-----
> From: Mark Bakke [mailto:[email-masked]]
> Sent: Tuesday, July 24, 2001 2:21 PM
> To: Jim Hafner
> Cc: [email-masked]
> Subject: Re: TargetAlias/InitiatorAlias text commands
> 
> 
> 
> I don't agree.  Although TargetAlias and InitiatorAlias are not
> used within the SendTargets response, they ARE specified as being
> sent during the login phase.  Basically, the initiator would send
> its InitiatorAlias whenever it sends InitiatorName, and the target
> would send back TargetAlias within the login response.  This enables
> initiators and targets to have non-unique, user-friendly names
> apart from their iSCSI names, and a way to communicate them.  These
> can then be used within a user interface as specified in the
> NDT document's alias section.
> 
> I really do think that these add value; gateways such as ours
> provide access to multiple targets, which the user is allowed to
> name.  These names are not necessarily globally-unique, but they
> are meaningful to the user.  A method to communicate these names
> provides a method to give a user that warm, fuzzy feeling that
> he or she has found the right drive.
> 
> Keep in mind that some target and initiator names may be based
> on EUI-64, and will basically be a bunch of hex digits.  This
> was not very friendly or usable with Fibre Channel; why should
> we make the same mistake?
> 
> --
> Mark
> 
> Jim Hafner wrote:
> > 
> > Marj,
> > 
> > I concur.  I don't see any value in these keys either, at 
> least within the
> > protocol.
> > 
> > Jim Hafner
> > 
> > "KRUEGER,MARJORIE (HP-Roseville,ex1)" 
> <[email-masked]>@ece.cmu.edu
> > on 07-24-2001 01:38:35 PM
> > 
> > Sent by:  [email-masked]
> > 
> > To:   "Ips Reflector (E-mail)" <[email-masked]>
> > cc:
> > Subject:  TargetAlias/InitiatorAlias text commands
> > 

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054

---

From: "Julian Satran" <[email-masked]>
Date: Wed, 25 Jul 2001 15:03:52 +0300

Marjorie & Jim,

This artifact (the Alias keys) where introduced at the express request of
the NDT.
Why don't you come (came) with a similar consensus recommendation to remove
them
and resort to the IPS list at large?   Is this the NDT consensus and you
have just forgot to mention it?

Julo

---------------------- Forwarded by Julian Satran/Haifa/IBM on 25-07-2001
14:59 ---------------------------

"Jim Hafner" <[email-masked]> on 25-07-2001 00:03:35

Please respond to "Jim Hafner" <[email-masked]>

To:   [email-masked]
cc:

Marj,

I concur.  I don't see any value in these keys either, at least within the
protocol.

Jim Hafner

"KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>@ece.cmu.edu
on 07-24-2001 01:38:35 PM

Since the TargetAlias and InitiatorAlias text commands do not contribute
any
functionality to the iSCSI protocol, are not used in any iSCSI-related
logic
within an implementation, and are basicly a "label" more appropriately
administered by a management tool, I propose they be removed from the iSCSI
protocol spec.

Comments?

Marjorie Krueger

"KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]> on
24-07-2001 23:38:35

Please respond to "KRUEGER,MARJORIE (HP-Roseville,ex1)"
      <[email-masked]>

Since the TargetAlias and InitiatorAlias text commands do not contribute
any
functionality to the iSCSI protocol, are not used in any iSCSI-related
logic
within an implementation, and are basicly a "label" more appropriately
administered by a management tool, I propose they be removed from the iSCSI
protocol spec.

Comments?

Marjorie Krueger